#!/bin/sh
echo 'name: cmdlib
version: 0.3.5
id: cmdlib-0.3.5-e33452e2b5ff9f5352a7e134718938b3

license: BSD3
copyright:
maintainer: me@mornfall.net
stability:
homepage:
package-url:
description: A commandline parsing library, based on getopt. Comes with a
             powerful attribute system. Supports complex interfaces with many
             options and commands, with option & command grouping, with simple
             and convenient API. Even though quite powerful, it strives to keep
             simple things simple. The library uses "System.Console.GetOpt" as
             its backend.
             .
             In comparison to the other commandline handling libraries:
             .
             Compared to cmdargs, cmdlib has a pure attribute system and is
             based on GetOpt for help formatting & argument parsing. Cmdlib may
             also be more extendable due to typeclass design, and can use
             user-supplied types for option arguments.
             .
             Cmdargs >= 0.4 can optionally use a pure attribute system,
             although this is clearly an add-on and the API is a second-class
             citizen in relation to the impure version.
             .
             GetOpt and parseargs both require explicit flag representation, so
             they live a level below cmdlib. GetOpt is in fact used as a
             backend by cmdlib.
category: System
author: Petr Rockai
pkgpath: devel/hs-cmdlib
exposed: True
exposed-modules: System.Console.CmdLib
hidden-modules: System.Console.CmdLib.Attribute
                System.Console.CmdLib.Flag System.Console.CmdLib.Command
                System.Console.CmdLib.ADTs System.Console.CmdLib.Record
import-dirs: /usr/local/lib/ghc/cmdlib-0.3.5
library-dirs: /usr/local/lib/ghc/cmdlib-0.3.5
hs-libraries: HScmdlib-0.3.5
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.3.1.0-ee15f259a627d341af7c80a17e8b0e66
         mtl-2.0.1.0-3e464329054b7660133198d73c31aca5
         split-0.1.4.2-5807039765cdd08d2c2e1e48690c1d82
         syb-0.3.3-daedbadc9dc041093c4210b3087b5f0b
         transformers-0.2.2.0-89265f646be3aed4f502cfc5eccd7c93
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-cmdlib-0.3.5/html/cmdlib.haddock
haddock-html: /usr/local/share/doc/hs-cmdlib-0.3.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
